Subject: AIList Digest V5 #157

From: [email-masked]@vtcs1
Date: Mon, 29 Jun 87 03:30:56 edt

Date: Sun 28 Jun 1987 22:26-PDT
From: AIList Moderator Kenneth Laws <[email-masked]>
Subject: AIList Digest   V5 #157
To: [email-masked]
Reply-to: [email-masked]
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467

AIList Digest            Monday, 29 Jun 1987      Volume 5 : Issue 157

Today's Topics:
  Theory - The Symbol Grounding Problem

----------------------------------------------------------------------

Date: 26 Jun 87 19:41:11 GMT
From: [email-masked]  (Stevan Harnad)
Subject: Re: The symbol grounding problem

[email-masked] (Dan Berleant) of U. Texas CS Dept., Austin, Texas
writes:

>       Are you saying that the categorical representations are to be
>       nonsymbolic?  The review of human concept representation I recently read
>       (Smith and Medin, Categories and Concepts, 1981) came down... hard on
>       the holistic theory of concept representation... The alternative
>       nonsymbolic approach would be the 'dimensional' one. It seems a
>       strongish statement to say that this would be sufficient, to the
>       exclusion of symbolic properties... However, the metric
>       hypothesis -- that a concept is sufficiently characterized by a point
>       in a multi-dimensional space -- seems wrong, as experiments have shown.

Categorical representations are the representations of purely SENSORY
categories, and I am indeed saying that they are to be NONsymbolic.
Let me also point out that the theory I am putting forward represents
a direct challenge to the Roschian line of category research in which
the book you cite belongs. To put it very briefly, I claim that that
line of experimental and theoretical work is not really investigating
the representations underlying the capacity to categorize at all; it is
only looking at the fine tuning of category judgments. The experiments
are typically not addressing the question of how it is that a device
or organism can successfully categorize the inputs in question in the
first place; instead it examines (1) how QUICKLY or EASILY subjects do it,
(2) how TYPICAL (of the members of the category in question) subjects rate
the inputs to be and (3) what features subjects INTROSPECT that they are
using. This completely bypasses the real question of how anyone or anything
actually manages to accomplish the categorization at all.

Let me quickly add that there is nothing wrong with reaction-time
experiments if they suggest hypotheses about the basic underlying
mechanism, or provide ways of testing them. But in this case -- as in
many others in experimental cognitive psychology -- the basic
mechanisms are bypassed and the focus is on fine-tuning questions
that are beside the point (or premature) -- if, that is, the objective
is to explain how organisms or devices actually manage to generate
successful categorization performance given the inputs in question. As
an exercise, see where the constructs you mention above -- "holistic,"
"dimensional," or "metric" representations -- are likely to get you if
you're actually trying to get a device to categorize, as we do.

There is also an "entry point" problem with this line of research,
which typically looks willy-nilly at higher-order, abstract
categories, as well as "basic level" object categories (an incoherent
concept, in my opinion, except as an arbitrary default level), and
even some sensory categories. But it seems obvious that the question
of how the higher-order categories are represented is dependent on how
the lower-order ones are represented, the abstract ones on the
concrete ones, and perhaps all of these depend on the sensory ones.
Moreover, often the inputs used are members of familiar, overlearned
categories, and the task is a trivial one, not engaging the mechanisms
that were involved in their acquisition. In other experiments,
artificial stimuli are used, but it is not clear how representative
these are of the category acquisition process either.

Finally, and perhaps most important: In bypassing the problem of
categorization capacity itself -- i.e., the problem of how devices
manage to categorize as correctly and successfully as they do, given
the inputs they have encountered -- in favor of its fine tuning, this
line of research has unhelpfully blurred the distinction between the
following: (a) the many all-or-none categories that are the real burden
for an explanatory theory of categorization (a penguin, after all, be it
ever so atypical a bird, and be it ever so time-consuming for us to judge
that it is indeed a bird, is, after all, indeed a bird, and we know
it, and can say so, with 100% accuracy every time, irrespective of
whether we can successfully introspect what features we are using to
say so) and (b) true "graded" categories such as "big," "intelligent,"
etc. Let's face the all-or-none problem before we get fancy...

>       To discuss "invariant features... sufficient to guide reliable
>       categorization" sounds like the "classical" theory (as Smith & Medin
>       call it) of concept representation: Concepts are represented as
>       necessary and sufficient features (i.e., there are defining features,
>       i.e. there is a boolean conjunction of predicates for a concept).  This
>       approach has serious problems, not the least of which is the inability
>       of humans to describe these features for seemingly elementary concepts,
>       like "chair", as Weinstein and others point out. I contend that a
>       boolean function (including ORs as well as ANDs) could work, but that
>       is not what was mentioned. An example might be helpful: A vehicle must
>       have a steering wheel OR handlebars. But to remove the OR by saying,
>       a vehicle must have a means of steering, is to rely on a feature which
>       is symbolic, high level, functional, which I gather we are not allowing.

It certainly is the "classical" theory, but the one with the serious
problems is the fine-tuning approach I just described, not the quite
reasonable assumption that if 100% correct, all-or-none categorization
is possible at all (without magic), then there must be a set of features
in the inputs that is SUFFICIENT to generate it. I of course agree
that disjunctive features are legitimate -- but whoever said they
weren't? That was another red herring introduced by this line of
research. And, as I mentioned, "the inability of humans to describe
these features" is irrelevant. If they could do it, they'd be
cognitive modelers! We must INFER what features they're using to
categorize successfully; nothing guarantees they can tell us.

(If by "Weinstein" you mean "Wittgenstein" on "games," etc., I have to remind
you that Wittgenstein did not have the contemporary burden of speaking
in terms of internal mechanisms a device would have to have in order to
categorize successfully. Otherwise he would have had to admit that
"games" are either (i) an all-or-none category, i.e., there is a "right" or
"wrong" of the matter, and we are able to sort accordingly, whether or
not we can introspect the basis of our correct sorting, or (ii) "games"
are truly a fuzzy category, in which membership is arbitrary,
uncertain, or a matter of degree. But if the latter, then games are
simply not representative of the garden-variety all-or-none
categorization capacity that we exercise when we categorize most
objects, such as chairs, tables, birds. And again, there's nothing
whatsoever wrong with disjunctive features.)

Finally, it is not that we are not "allowing" higher-order symbolically
described features. They are the goal of the whole grounding project.
But the approach I am advocating requires that symbolic descriptions
be composed of primitive symbols which are in turn the labels of sensory
categories, grounded in nonsymbolic (iconic and categorical) representations.

>       [Concerning model-theoretic "grounding":] The more statements
>       you have (that you wish to be deemed correct), the more the possible
>       meanings of the terms will be constrained. To illustrate, consider
>       the statement FISH SWIM. Think of the terms FISH and SWIM as variables
>       with no predetermined meaning -- so that FISH SWIM is just another way
>       of writing A B. What variable bindings satisfy this?  Well, many do...
>       Now consider the statement FISH LIVE, where FISH and LIVE are variables.
>       Now there are two statements to be satisfied. The assignment to the
>       variable LIVE restricts the possible assignments to the variable SWIM...
>       Of course, we have many many statements in our minds that must be
>       simultaneously satisfied, so the possible meanings that each word name
>       can be assigned is correspondingly restricted. Could the restrictions be
>       sufficient to require such a small amount of ambiguity that the word
>       names could be said to have intrinsic meaning?...  footnote: This
>       leaves unanswered the question of how the meanings themselves are
>       grounded. Non-symbolically, seems to be the gist of the discussion,
>       in which case logic would be useless for that task even in an
>       "in principle" capacity since the stuff of logic is symbols.

I agree that there are constraints on the correlations of symbols in a
natural language, and that the degrees of freedom probably shrink, in
a sense, as the text grows. That is probably the basis of successful
cryptography. But I still think (and you appear to agree) that even if
the degrees of freedom are close to zero for a natural language's
symbol combinatons and their interpretations, this still leaves the
grounding problem intact: How are the symbols connected to their
referents? And what justifies our interpretation of their meanings?
With true cryptography, the decryption of the symbols of the unknown
language is always grounded in the meanings of the symbols of a known
language, which are in turn grounded in our heads, and their
understanding of the symbols and their relation to the world. But
that's the standard DERIVED meaning scenario, and for cognitive
modeling we need INTRINSICALLY grounded symbols. (I do believe,
though, that the degrees-of-freedom constraint on symbol combinations
does cut somewhat into Quine's claims about the indeterminacy of
radical translation, and ESPECIALLY for an intrinsically grounded
symbol system.)
--

Stevan Harnad                                  (609) - 921 7771
{bellcore, psuvax1, seismo, rutgers, packard}  !princeton!mind!harnad
[email-masked]       [email-masked]

------------------------------

Date: 26 Jun 87 22:17:16 GMT
From: [email-masked]  (Stevan Harnad)
Subject: Re: The symbol grounding problem

[email-masked] (Anders Weinstein) of BBN Laboratories, Inc.,
Cambridge, MA writes:

>       I don't see any difference between "physical" and "merely theoretical"
>       invertibility... Surely you don't mean that a transformation-inversion
>       capability must actually be present in the device for it to count as
>       "analog" in your sense.  (Else brains, for example, wouldn't count).

I think this is partly an empirical question. "Physically possible"
invertibility is enough for an analog transformation, but actual
physical invertibility may be necessary for an iconic representation
that can generate all of our discrimination capacities. Avoiding
"merely theoretical" invertibility is also part of avoiding any reliance
on mediation by our theoretical interpretations in order to get an
autonomous, intrinsically grounded system.

>       the *semantic* meaning  of a symbol is still left largely unconstrained
>       even after you take account of it's "grounding" in perceptual
>       categorization. This is because what matters for intentional content
>       is not the objective property in the world that's being detected, but
>       rather how the subject *conceives* of that external property, a far
>       more slippery notion... primitive people may be able to reliably
>       categorize certain large-scale atmospheric electrical discharges;
>       nevertheless, the semantic content of their corresponding states might
>       be "Angry gods nearby" or some such.

I agree that symbol grounding cannot be based on the "objective
property" that's being detected. Categorical representations in my
grounding model are approximate. All they do is sort and label the confusable
alternatives that have been sampled, using the provisional features
that suffice to generate reliable sorting performance according to the feedback
that defines "right" and "wrong." There is always a context of
confusable alternatives, and which features are used to sort reliably
is always a "compared to what?" matter. The exact "objective property" they
pick out is never an issue, only whether they can generate reliable
asymptotic categorization performance given that sample and those
feedback constraints. The representation is indifferent to whether
what you are calling "water," is really "twin-water" (with other
objective properties), as long as you can sort it "correctly" according
to the feedback (say, from the dictates of thirst, or a community of
categorizing instructors).

As to what people "conceive" themselves to be categorizing: My model
is proposed in a framework of methodological epiphenomenalism. I'm
interested in what's going on in people's heads only inasmuch as it is
REALLY generating their performance, not just because they think or
feel it is. So, for example, in criticizing the Roschian approach to
categorization in my reply to Dan Berleant I suggested that it was
irrelevant what features subjects BELIEVED they were using to
categorize, say, chairs; what matters is what features they (or any
organism or device in a similar input situation) really ARE using.
[This does not contradict my previous point about the irrelevance of
"objective properties." "Features" refers to properties of the
proximal projection on the device's sense receptors, whereas
"properties" would be the essential characteristics of distal objects
in the world. Feature detectors are blind to distal differences that
are not preserved in the proximal projection.]

On the other hand, "Angry gods nearby" is not just an atomic label for
"thunder" (otherwise it WOULD be equivalent to it in my model -- both
labels would pick out approximately the same thing); in fact, it is
decomposable, and hence has a different meaning in virtue of the
meanings of "angry" and "gods." There should be corresponding internal
representational differences (iconic, categorical and symbolic) that
capture that difference.

>       Another well-known obstacle to moving from an objective to an
>       intentional description is that the latter contains an essentially
>       normative component, in that we must make some distinction between
>       correct and erroneous classification. For example, we'd probably
>       like to say that a frog has a fly-detector which is sometimes wrong,
>       rather than a "moving-spot-against-a- fixed-background" detector
>       which is infallible. Again, this distinction seems to depend on fuzzy
>       considerations about the purpose or functional role of the concept
>       in question... [In his reply on this point to Dan Berleant,
>       Weinstein continues:] the philosophical problem is to say why any
>       response should count as an *error* at all. What makes it wrong?
>       I.e. who decides which "concept" -- "fly" or "moving-spot..." -- the
>       frog is trying to apply? The objective facts about the frog's
>       perceptual abilities by themselves don't seem to tell you that in
>       snapping out its tongue at a decoy, it's making a *mistake*. To
>       say this, an outside interpreter has to make some judgement about what
>       the frog's brain is trying to accomplish by its detection of moving
>       spots. And this makes the determination of semantic descriptions a
>       fuzzy matter.

I don't think there's any problem at all of what should count as an "error"
for my kind of model. The correctness or incorrectness of a label is
always determined by feedback -- either ecological, as in evolution
and daily nonverbal learning, or linguistic, where it is conventions
of usage that determine what we call what. I don't see anything fuzzy about
such a functional framework. (The frog's feedback, by the way,
probably has to do with edibility, so (i) "something that affords eating"
is probably a better "interpretation" of what it's detecting. And, to
the extent that (ii) flies and (iii) moving spots are treated indifferently by
the detector, the representation is approximate among all three.
The case is not like that of natives and thunder, since the frog's
"descriptions" are hardly decomposable. Finally, there is again no
hope of specifying distal "objective properties" ["bug"/"schmug"] here
either, as approximateness continues to prevail.)

>       Some of the things you say also suggest that you're attempting to
>       resuscitate a form of classical empricist sensory atomism, where the
>       "atomic" symbols refer to sensory categories acquired "by acquaintance"
>       and the meaning of complex symbols is built up from the atoms "by
>       description". This approach has an honorable history in philosophy;
>       unfortunately, no one has ever been able to make it work. In addition
>       to the above considerations, the main problems seem to be: first,
>       (1) that no principled distinction can be made between the simple
>       sensory concepts and the complex "theoretical" ones; and second,
>       (2) that very little that is interesting can be explicitly defined in
>       sensory terms (try, for example, "chair")...[In reply to Berleant,
>       Weinstein continues:] Of course *some* concepts can be acquired by
>       definition. However, the "classical empiricist" doctrine is committed
>       to the further idea that there is some privileged set of *purely
>       sensory* concepts and that all non-sensory concepts can be defined in
>       terms of this basis. This is what has never been shown to work. If you
>       regard "juice" as a "primitive" concept, then you do not share the
>       classical doctrine. (And if you do not, I invite you try giving
>       necessary and sufficient conditions for juicehood.)

You're absolutely right that this is a throwback to seventeenth-century
bottom-upism.  In fact, in the CP book I call the iconic and
categorical representations the "acquaintance system" and the symbolic
representations the "description system." The only difference is that
I'm only claiming to be giving a theory of categorization. Whether or
not this captures "meaning" depends (for me at any rate) largely on
whether or not such a system can successfully pass the Total Turing
Test. It's true that no one has made this approach work. But it's also
true that no one has tried. It's only in today's era of computer
modeling, robotics and bioengineering that these mechanisms will begin
to be tested to see whether or not they can deliver the goods.

To reply to your "two main problems": (1) Even an elementary sensory
category such as "red" is already abstract once you get beyond the
icon to the categorical representation. "Red" picks out the
electromagnetic wave-lengths that share the feature of being above and
below a certain threshold. That's an abstraction. And in exchange for
generating a feature-detector that reliably picks it out, you get a
label -- "red" -- which can now enter into symbolic descriptions (e.g.,
"red square"). Categorization is abstraction. As soon as you've left
the realm of invertible icons, you've begun to abstract, yet you've
never left the realm of the senses. And so it goes, bottom up, from
there onward.

(2) As to sensory "definitions": I don't think this is the right thing
to look for, because it's too hard to find a valid "entry point" into
the bottom-up hierarchy. I doubt that "chair" or "juice" are sensory
primitives, picked out purely by sensory feature detectors. They're
probably represented by symbolic descriptions such as "things you can
sit on" and "things you can drink," and of course those are just the
coarsest of first approximations. But the scenario looks pretty
straightforward: Even though it's flexible enough to be revised to
include a chair (suitably homegenized) as a juice and a juice (for a
bug?) as a chair, it seems very clear that it is the resources of (grounded)
symbolic description that are being drawn upon here in picking out
what is and is not a chair, and on the basis of what features.

The categories are too interrelated (and approximate, and provisional) for
an exhaustive "definition," but provisional descriptions that will get
you by in your sorting and labeling -- and, more important, are
revisable and updatable, to tighten the approximation -- are certainly
available and not hard to come by. "Necessary and sufficient conditions for
juicehood," however, are a red herring. All we need is a provisional
set of features that will reliably sort the instances as environmental and
social feedback currently dictates. Remember, we're not looking for
"objective properties" or ontic essences -- just something that will
guide reliable sorting according to the contingencies sampled to date.
--

Stevan Harnad                                  (609) - 921 7771
{bellcore, psuvax1, seismo, rutgers, packard}  !princeton!mind!harnad
[email-masked]       [email-masked]

------------------------------

End of AIList Digest
********************